| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations | Functions
uuid_sha1.h File Reference
`#include <stddef.h>`
Include dependency graph for uuid_sha1.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | SHA1_LEN_BIN 20
#define | SHA1_LEN_STR 40

## Typedefs
typedef struct sha1_st | sha1_t

## Enumerations
enum | sha1_rc_t { SHA1_RC_OK = 0 , SHA1_RC_ARG = 1 , SHA1_RC_MEM = 2 , SHA1_RC_INT = 3 }

## Functions
sha1_rc_t | sha1_create (sha1_t **sha1)
sha1_rc_t | sha1_init (sha1_t *sha1)
sha1_rc_t | sha1_update (sha1_t *sha1, const void *data_ptr, size_t data_len)
sha1_rc_t | sha1_store (sha1_t *sha1, void **data_ptr, size_t *data_len)
sha1_rc_t | sha1_format (sha1_t *sha1, char **data_ptr, size_t *data_len)
sha1_rc_t | sha1_destroy (sha1_t *sha1)

## Macro Definition Documentation

## ◆ SHA1_LEN_BIN

#define SHA1_LEN_BIN 20

## ◆ SHA1_LEN_STR

#define SHA1_LEN_STR 40

## Typedef Documentation

## ◆ sha1_t

typedef struct sha1_st sha1_t

## Enumeration Type Documentation

## ◆ sha1_rc_t

enum sha1_rc_t

Enumerator
SHA1_RC_OK |
SHA1_RC_ARG |
SHA1_RC_MEM |
SHA1_RC_INT |

## Function Documentation

## ◆ sha1_create()

sha1_rc_t sha1_create | ( | sha1_t ** | sha1 | ) |

Here is the call graph for this function:

## ◆ sha1_destroy()

sha1_rc_t sha1_destroy | ( | sha1_t * | sha1 | ) |

Here is the call graph for this function:

## ◆ sha1_format()

sha1_rc_t sha1_format | ( | sha1_t * | sha1,
|  | char ** | data_ptr,
|  | size_t * | data_len
| ) |  |

Here is the call graph for this function:

## ◆ sha1_init()

sha1_rc_t sha1_init | ( | sha1_t * | sha1 | ) |

Here is the call graph for this function:

## ◆ sha1_store()

sha1_rc_t sha1_store | ( | sha1_t * | sha1,
|  | void ** | data_ptr,
|  | size_t * | data_len
| ) |  |

Here is the call graph for this function:

## ◆ sha1_update()

sha1_rc_t sha1_update | ( | sha1_t * | sha1,
|  | const void * | data_ptr,
|  | size_t | data_len
| ) |  |

Here is the call graph for this function: